UserDao (gisgraphy 2.0-final API)
Date: 2010-09-01

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.dao
Interface UserDao

All Superinterfaces:
  GenericDao<User,java.lang.Long>

All Known Implementing Classes:
  UserDaoHibernate

    public interface UserDao

extends GenericDao<User,java.lang.Long>

User Data Access Object (GenericDao) interface.

Author:
  Matt Raible

Method Summary
`java.util.List<User>` | `getUsers()` Gets a list of users ordered by the uppercase version of their username.
`org.acegisecurity.userdetails.UserDetails` | `loadUserByUsername(java.lang.String username)` Gets users information based on login name.
`User` | `saveUser(User user)` Saves a user's information.

Methods inherited from interface com.gisgraphy.dao.GenericDao
`exists, get, getAll, remove, save`

Method Detail

### loadUserByUsername

    @Transactional
    org.acegisecurity.userdetails.UserDetails loadUserByUsername(java.lang.String username)
                                                                 throws org.acegisecurity.userdetails.UsernameNotFoundException

  Gets users information based on login name.

  Parameters:
    `username` - the user's username
  Returns:
    userDetails populated userDetails object
  Throws:
    `org.acegisecurity.userdetails.UsernameNotFoundException` - thrown when user not found in database

### getUsers

    java.util.List<User> getUsers()

  Gets a list of users ordered by the uppercase version of their username.

  Returns:
    List populated list of users

### saveUser

    User saveUser(User user)

  Saves a user's information.

  Parameters:
    `user` - the object to be saved
  Returns:
    the persisted User object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.